﻿/*
 * xplo.re .NET
 *
 * Copyright (C) 2017, xplo.re IT Services, Michael Maier.
 * All rights reserved.
 */

namespace XploRe.Util;

/// <summary>
///     UUID variants as defined by RFC 4122.
/// </summary>
/// <remarks>
///     The numeric values correspond to the significant bit pattern being interpreted as an integer and are
///     compatible with the variant value in Java.
/// </remarks>
public enum UuidVariant
{

    /// <summary>
    ///     Reserved variant for backwards compatibility with the Apollo Network Computing System 1.5 UUID format.
    /// </summary>
    Ncs = 0,

    /// <summary>
    ///     RFC 4122/DCE 1.1 UUID variant, also known as "Leach-Salz" UUID variant. Uses big-endian byte order when
    ///     stored or transmitted.
    /// </summary>
    Rfc4122 = 2,

    /// <summary>
    ///     Reserved variant for backwards compatibility with Microsoft Corporation UUIDs generated by early
    ///     versions of Windows. Uses little-endian byte order when stored or transmitted.
    /// </summary>
    Microsoft = 6,

    /// <summary>
    ///     Reserved variant for future use.
    /// </summary>
    Future = 7,

}
